input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    display: block;
    position: relative;
    background: $dark;
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea, select";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        z-index: 10;
        height: rem(52);
        outline: none;
        color: $white;
        position: relative;
        box-shadow: none;
        font-weight: 400;
        font-size: rem(14);
        line-height: rem(20);
        padding: rem(15) rem(16);
        background: transparent;
        display: block;
        vertical-align: middle;
        border: rem(1) solid #E2E5EA;
        border-radius: 0;
        @include placeholder($white-30);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &::-webkit-outer-spin-button,
        &::-webkit-inner-spin-button {
            display: none;
        }

        &:focus,
        &:active {
            outline: none;
            @include placeholder(transparent);
        }


        &.error {
            border-color: red !important;
        }

        &:required {
       //     border-color: #E2E5EA;
        }
    }


    textarea {
        height: auto;
        resize: none;
    }

    &--sm {

        #{$input-selector} {
            height: rem(36);
            padding: rem(6) rem(8);
            border-color: #717171;
        }

        .field {

            &__button {
                width: rem(36);

                i {
                    height: rem(16);
                }
            }
        }
    }

    &--gray {
        background: transparent;


        #{$input-selector} {
            color: #696969;
            background: #F5F5F5;
            border: 1px solid #969696;
            @include placeholder(#969696);

            &:focus,
            &:active {
                @include placeholder(transparent);
            }

            &.disabled,
            &:disabled {
                background: transparent;
                @include placeholder(#969696);
            }
        }
    }

    &__button {
        top: 0;
        right: 0;
        bottom: 0;
        z-index: 20;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: rem(52);
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
        background: transparent;
        stroke: $gold;

        i {
            height: rem(24);
            display: inline-block;
        }
    }

    &__select {
        z-index: 20;
        font-size: 0;
        line-height: 0;
        top: calc(50% - 0.5rem);
        right: rem(20);
        width: rem(16);
        height: rem(16);
        stroke: #969696;
        position: absolute;
        display: inline-block;
    }
}


.file-form {
    position: relative;
    display: grid;
    grid-row-gap: rem(15);
    grid-template-columns: 1fr;

    input {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        opacity: 0;
        visibility: hidden;
        overflow: hidden;
        position: absolute;
    }

    &__label {
        display: none;
        height: rem(52);
        flex-direction: column;
        justify-content: flex-end;

        span {
            font-size: rem(14);
            line-height: rem(20);
            min-height: rem(20);
            display: inline-block;
            position: relative;
            padding-left: rem(20);

            &:after {
                z-index: 1;
                left: -5px;
                top: calc(50% - 10px);
                content: '';
                width: 20px;
                height: 20px;
                position: absolute;
                background: url("../img/icon_clip.png") 50% 50% no-repeat;
                background-size: cover;
            }
        }
    }

    &__button {
        font-weight: 400;
        display: block;
        position: relative;
    }

    &.-selected- {

        .file-form {

            &__label {
                display: flex;
            }
        }
    }

    @include media-breakpoint-up(md) {
        grid-column-gap: rem(24);
        grid-template-columns: 1fr 1fr;

        &__button {
            order: 1;
        }

        &__label {
            order: 2;

            span {
                margin: auto 0;
            }
        }
    }
}
